      DOUBLE PRECISION FUNCTION RHS(I)
      INTEGER I
      IF( I.EQ.1 ) THEN
        RHS = 10.0D0
      ELSE IF( I.EQ.4 ) THEN
        RHS = -10.D0
      ELSE
        RHS = 0.0D0
      ENDIF
      RETURN
      END
